Day 2 Complete!

Another great day of learning how to code with the Raspberry Pi Pico and MicroPython! Today you have:

    Created your first circuit!
    Learnt how to use the time module to add delays to programs
    Learnt how to use while loops and conditions
    Learnt about variables (our counter)
    Learnt about code commentary
    Created a dashing, flashing sequence of LEDs
-------------------------------------------------------------------------------------------------------

Day 3 Complete!

Great job makers, you ve now got the skills to use physical inputs with MicroPython (which will come in handy for the rest of the calendar) and can code if statements in all sorts of interesting new ways!

Today you have learnt:

    How to create a circuit with physical inputs
    How to code physical inputs with MicroPython
    What if statements are and how to use them
    How to use elif and else within if statements
    How to use 'and and 'or' within if statement conditions
    Combined physical inputs with physical outputs

-------------------------------------------------------------------------------------------------------

Day 4 Complete!

Well done makers! We know today was a little heavier as we introduced slightly more advanced topics such as analogue and PWM, so take the time to go back over today's examples and play with the code if you'd like more practice - make it, break it, fix it, learn!

Today you have:

    Learnt about analogue and the difference between analogue and digital signals
    Built a circuit with a potentiometer
    Leant how to use the ADC built into the Raspberry Pi Pico
    Controlled LEDs with an analogue signal
    Learnt about PWM including duty cycle and frequency

------------------------------------------------------------------------------------------------------

Day 5 Complete!

We've covered lots today fellow makers, pat yourselves on the back!

As we cover more advanced topics such as functions, you may find that you need to refer back to these days to refresh your memory later on - and that's absolutely normal! Even the most seasoned professional programmers have to use search engines regularly (some even admit it!).

So what did we cover on day #5? Today you have:

    Built a circuit with a buzzer, your first audio component
    Learnt how to use the buzzer with MicroPython and the Pico
    Learnt about PWM frequencies and duty cycle with buzzers
    Used analogue inputs to control audio volume using PWM
    Created a festive jingle with MicroPython
    Learnt how to use functions to make your code easier to manage and more efficient

------------------------------------------------------------------------------------------------------

Day 6 Complete!

Good job makers! We've learnt how to use another sensor today, as well as introducing some new ways to manipulate values and strings.

We're going to use this sensor again before the end of the calendar as it's a great partner for a component hiding in one of the other boxes...

So, what did we learn today? Today we:

    Learnt how to wire a light sensor circuit
    Learnt how to manipulate data to make it more useful to us and our programs
    Learnt how to convert values to strings with the str function
    Learnt how use the round function to limit decimal places
    Learnt how to combine multiple strings in prints

------------------------------------------------------------------------------------------------------

Day 7 Complete!

That last activity included a lot of detail so we're going to leave it there for today and not overload your fresh coder brains!

The PIR sensor can be so much fun to use and they come in all different shapes and sizes too, you'll be making your own home security system in no time.

So what did we cover on day #7? Today you have:

    Built a circuit with a PIR sensor
    Learnt how to use a PIR sensor with MicroPython and the Pico
    Created a mini alarm system!
    Learnt about the range function
    Revisited functions

------------------------------------------------------------------------------------------------------

Day 8 Complete!

Another day, another component completed! You now have a temperature sensor in your growing arsenal of parts to make projects with, and we're sure you'll use this one time and time again.

As you're probably starting to realise, a lot of these sensors and components are coded in a very similar way. Sometimes we need the help of imported libraries, sometimes we need resistors/additional hardware, but the fundamental way we write code for them (with loops, if statements and variables) is pretty consistent.

So what did we cover on day #8? Today you have:

    Built a circuit with a temperature sensor
    Learnt how to use a temperature sensor with MicroPython and the Pico
    Used your first 1-wire component and the 1-wire library
    Created a temperature monitor and temperature alarm system
    Learnt more about for loops

------------------------------------------------------------------------------------------------------

<img src="https://git.unixweb.net/unixweb/pihut-advent-kalender/raw/branch/master/images/pihut-advent-kalender.jpg">

